Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_QoS Class Reference

Class for getting and setting the QoS characteristics of an AV Stream. More...

`#include <AVStreams_i.h>`

Collaboration diagram for TAO_AV_QoS:

[legend]
List of all members.

## Public Methods
| TAO_AV_QoS (void)
| constructor.
| TAO_AV_QoS (AVStreams::streamQoS &stream_qos)
| constructor taking a stream qos parameter.
int | set (AVStreams::streamQoS &stream_qos)
| sets the maps with the QoS paramter.
int | get_flow_qos (const char *flowname, AVStreams::QoS &flow_qos)
| gets the flow_qos.
int | convert (AVStreams::streamQoS &network_qos)
| converts the application level QoS to Network-level QoS.
## Protected Attributes
AVStreams::streamQoS | stream_qos_
| Stream Qos.
ACE_Hash_Map_Manager< ACE_CString, AVStreams::QoS, ACE_Null_Mutex > | qos_map_

## Detailed Description

Class for getting and setting the QoS characteristics of an AV Stream.

## Constructor & Destructor Documentation

TAO_AV_QoS::TAO_AV_QoS | ( | void |  | ) |

| constructor.

TAO_AV_QoS::TAO_AV_QoS | ( | AVStreams::streamQoS & | stream_qos | ) |

| constructor taking a stream qos parameter.

## Member Function Documentation

int TAO_AV_QoS::convert | ( | AVStreams::streamQoS & | network_qos | ) |

| converts the application level QoS to Network-level QoS.

ACE_INLINE int TAO_AV_QoS::get_flow_qos | ( | const char * | flowname,
|  | AVStreams::QoS & | flow_qos
| ) |

| gets the flow_qos.

ACE_INLINE int TAO_AV_QoS::set | ( | AVStreams::streamQoS & | stream_qos | ) |

| sets the maps with the QoS paramter.

## Member Data Documentation

ACE_Hash_Map_Manager<ACE_CString,AVStreams::QoS,ACE_Null_Mutex> TAO_AV_QoS::qos_map_`[protected]`

AVStreams::streamQoS TAO_AV_QoS::stream_qos_`[protected]`

| Stream Qos.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp
- AVStreams_i.i